<?php
	session_start(); 
	require_once('../../../../ru/update/2.55/ls_admin/inc/conn.php');
	require_once('../../../../ru/update/2.55/ls_admin/inc/ls_syscode.php');
	require_once('../../../../ru/update/2.55/ls_admin/inc/constant.php');
	require_once('../../../../ru/update/2.55/ls_admin/inc/check.php');
	$opendb=new mydb();
	require_once('../../../../ru/update/2.55/ls_admin/inc/char_set.php');
	$allcontantsvars='$seoSufix2,$seoSufix1,$seoFrefix2,$seoFrefix1,$PicSize,$SmallPicW,$SmallPicH,$BigPicW,$BigPicH,$newsNum';
	$arraycontantsvars=explode(',',$allcontantsvars);

if($_POST["update"]== "确认")
{
	foreach ($_POST as $key=>$value)

	{
		if(in_array('$'.$key,$arraycontantsvars))
		{
			if($_POST["type_".$key]=="string")
			{$vartype="str";}
			else
				if($_POST["type_".$key]=="integer")
				{$vartype="int";}
				else
				{$vartype="str";}
				//echo $key."--".$value."--".$vartype."<br/>";
				writeconstant($key,$value,'str');
				$ls_msg="参数修改成功！";
		}
	}
			
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo $engineName?>d</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

<link href="../../../../ru/update/2.55/ls_admin/css/admin.css" rel="stylesheet" type="text/css">
<title>无标题文档</title>
</head>

<body>
<table width="96%" border="0" align="center" cellpadding="0" cellspacing="1" bgcolor="#6396D6">
  <tr> 
	<td height="18" background="../../../../ru/update/2.55/ls_admin/images/admin_bg.gif"><div align="center"><font color="#FFFFFF"><strong>维护参数更新</strong></font></div></td>
  </tr>

  <tr>
  	<td bgcolor="#E8F1FF" valign="top" align="center">
	<br>
		<form name="form1" method="post" action="../../../../ru/update/2.55/ls_mantain/?ls=eidt">
	  <p>&nbsp;</p>
	  <table width="459" border="0">
		 
          <?
          foreach ($arraycontantsvars as $key=>$value)
		  {
			 $getvalue= str_replace('$','',$value);
		  ?> <tr>
		    <td width="92" align="right"><?=$value?></td>
		    <td width="177" align="center"><input name="<?=str_replace('$','',$value)?>" type="text" id="<?=str_replace('$','',$value)?>" size="26" maxlength="26" value="<?=${$getvalue}?>"    />
            <input name="type_<?=$getvalue?>" type="hidden" id="submit" value="<?=gettype(${$getvalue})?>" />
            </td>
		    <td width="160" align="center">&nbsp;</td>
            </tr>
          <?  } ?>
			
			<tr>
			  <td height="41" colspan="3" align="center"><input name="update" type="submit" id="submit" value="确认" />
		      <input type="reset" name="Submit2" value="重填" /></td>
		  </tr>
 <tr>
  <td colspan="3" align="left">
    
    
    
    </td>
 </tr>
		</table>
	  <font color="#FF0000"><?php echo $ls_msg; ?></font><br />
      </form>
		<br>

	</td>
 </tr>
	

</table>

</body>
</html>

